Name:           petit
Version:        1.0.0
Release:        1%{?dist}
Summary:        Log analysis tool for syslog, Apache and raw log files

Group:          Applications/System
License:        GPLv3+
URL:            http://opensource.eyemg.com/index.php/Petit
Source0:        http://opensource.eyemg.com/files/%{name}/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
Log analysis tool which is useful to systems administrators & systems
analysts. It interacts with syslog and Apache logs to clarify what is
happening in logs.


%prep
%setup -q -n %{name}

# Remove binary manpage
rm -f src/man/*.gz

# Remove hidden svn folders
find -type d -name .svn | xargs rm -rf

# Replace (hardcoded) wrong path: /var/lib -> /usr/share
find src -type f -exec sed -i -e 's|/var/lib|%{_datadir}|' {} \;

# Remove shebang/interpreter directive where not necessary
sed -i -e '/#!\/usr\/bin\/env python/d' src/lib/crunchtools.py

%build
# Nothing to do


%install
rm -rf $RPM_BUILD_ROOT
pushd src
install -d ${RPM_BUILD_ROOT}%{_bindir}/
install -m755 bin/petit ${RPM_BUILD_ROOT}%{_bindir}/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/
install -m644 lib/crunchtools.py ${RPM_BUILD_ROOT}%{_datadir}/petit/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/filters/
install -m644 lib/filters/*.stopwords ${RPM_BUILD_ROOT}%{_datadir}/petit/filters/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprints/
install -m644 lib/fingerprints/*.fp ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprints/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprint_library/
install -m644 lib/fingerprint_library/*.fp ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprint_library/
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1/
install -m644 man/petit.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
popd

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/petit
%{_datadir}/petit/
%{_mandir}/man1/petit.1.*


%changelog
* Sun Mar 07 2010 Sandro Mathys <red at fedoraproject.org> - 1.0.0-1
- initial package
